PowerPC 603E

Khem Raj kraj@mvista.com
Tue Oct 31 00:41:00 GMT 2006


cabaton_david@yahoo.fr said the following on 10/30/2006 02:00 PM:
> Hi everybody and thanks to Dank for his work !
>
> I would like to compile a cross compiler x86 => PowerPC603E
> with gcc3.2.3 and glibc 2.3.2 but I have this error message :
>
> In file included from
> /home/dc/cross/crosstool-0.42/build/powerpc-603-linux-gnu/gcc-3.3.1-glibc-2.3.2/gcc-3.3.1/gcc/read-rtl.c:24: 
>
>
> /home/dc/cross/crosstool-0.42/build/powerpc-603-linux-gnu/gcc-3.3.1-glibc-2.3.2/gcc-3.3.1/gcc/rtl.h:132: 
>
> attention : type of bit-field «code» is a GCC extension
> /home/dc/cross/crosstool-0.42/build/powerpc-603-linux-gnu/gcc-3.3.1-glibc-2.3.2/gcc-3.3.1/gcc/rtl.h:135: 
>
> attention : type of bit-field «mode» is a GCC extension
> /home/dc/cross/crosstool-0.42/build/powerpc-603-linux-gnu/gcc-3.3.1-glibc-2.3.2/gcc-3.3.1/gcc/read-rtl.c: 
>
> Dans la fonction «fatal_with_file_and_line»
> :/home/dc/cross/crosstool-0.42/build/powerpc-603-linux-gnu/gcc-3.3.1-glibc-2.3.2/gcc-3.3.1/gcc/read-rtl.c:53: 
>
> attention : traditional C rejects ISO C style function definitions
> /home/dc/cross/crosstool-0.42/build/powerpc-603-linux-gnu/gcc-3.3.1-glibc-2.3.2/gcc-3.3.1/gcc/read-rtl.c: 
>
> Dans la fonction «read_rtx» :
> /home/dc/cross/crosstool-0.42/build/powerpc-603-linux-gnu/gcc-3.3.1-glibc-2.3.2/gcc-3.3.1/gcc/read-rtl.c:653: 
>
> erreur: invalid lvalue in increment
> make[1]: *** [read-rtl.o] Erreur 1
> make[1]: quittant le répertoire «
> /home/dc/cross/crosstool-0.42/build/powerpc-603-linux-gnu/gcc-3.3.1-glibc-2.3.2/build-gcc-core/gcc 
>
> »
> make: *** [all-gcc] Erreur 2
>
> Somebody can help me ?
>
> Thanks a lot
>
> DC
>
>
>
> -- 
> For unsubscribe information see http://sourceware.org/lists.html#faq
>
What is host gcc on your machine that you are using to build this 
toolchain combo?
from your error messages it looks like the host gcc is fairly new. I 
would suggest you to install GCC 3.3.1 or older and then try the build
on Fedora/Redhat system you can install compat-gcc packages and then set 
your CC=gcc32 or whatever version you install and then try again.

-- 
Khem Raj
MontaVista Software Inc.
kraj@mvista.com


--
For unsubscribe information see http://sourceware.org/lists.html#faq



More information about the crossgcc mailing list